Redmine - Defect #12642

Issue preview link not working after recent changes in config/routes.rb
2012-12-19 09:49 - Egidijus Zideckas

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

Recent commit broken preview link: Specifies HTTP methods for all routes.
https://github.com/edavis10/redmine/commit/2ebcc6d9601f86334119bd17a8eb65851d374{84

Error in log file:

Started PUT "/issues/preview/edit/5?project_id=testl" for 127.0.0.1 at Wed Dec 19 09:48:52
012

ActionController::RoutingError
(3.2.9)
(3.2.9)

[PUT] "/issues/preview/edit/5"):
lib/action_dispatch/middleware/debug_exceptions.rb:21:in ‘call'

(No route matches
actionpack
actionpack lib/action_dispatch/middleware/show_exceptions.rb:56:in “call'
(3.2.9) lib/rails/rack/logger.rb:32:in “call_app'

(3.2.9) lib/rails/rack/logger.rb:16:in “call'

activesupport (3.2.9) lib/active_support/tagged_logging.rb:22:in "“tagged'

(3.2.9) lib/rails/rack/logger.rb:16:in “call'

actionpack (3.2.9)
rack (1.4.1) lib/rack/methodoverride.rb:21:in
rack (1.4.1) lib/rack/runtime.rb:17:in ‘call'
activesupport (3.2.9) lib/active_support/cache/strategy/local_cache.rb:72:in
rack (1.4.1) lib/rack/lock.rb:15:in ‘call’

actionpack (3.2.9) lib/action_dispatch/middleware/static.rb:62:in “call'
(3.2.9) lib/rails/engine.rb:479:in “call'

(3.2.9) lib/rails/application.rb:223:in “call'

(1.4.1) lib/rack/content_length.rb:14:in “call’

(3.2.9) lib/rails/rack/log_tailer.rb:17:in “call’

rack (1.4.1) lib/rack/handler/webrick.rb:59:1in
/usr/lib/ruby/1.8/webrick/httpserver.rb:104:in
/usr/lib/ruby/1.8/webrick/httpserver.rb:65:
/usr/lib/ruby/1.8/webrick/server.rb:173:in

railties
railties

railties
lib/action_dispatch/middleware/request_id.rb:22:in “call’
‘call!

‘call'

railties
railties
rack
railties
“service'
‘service'
in “run'

“start_thread'

/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
lib/rack/handler/webrick.rb:13:in
lib/rack/server.rb:265:1in

rack (1.4.1)
(1.4.1)
(3.
(3.
(3.
(3.

/script/rails

rack
.9
.9

railties
railties

NN DN

railties 9
railties 2.9

16
/script/rails:6
ruby-debug-ide
ruby-debug-ide
ruby-debug-ide

“start!
“start_thread’
‘start!

8/webrick/server.rb:162:1in
8/webrick/server.rb:162:1in
8/webrick/server.rb:95:
8/webrick/server.rb:92:1in
rb:92:1in
rb:23:1in

rb:82:1in

in
‘each'
8/webrick/server. ‘start!
8/webrick/server. ‘start!
8/webrick/server. ‘start'
“run'
“start!
lib/rails/commands/server.rb:70:in "start'
lib/rails/commands.rb:55
lib/rails/commands.rb:50:1in
lib/rails/commands.rb:50

:in “require'

)

“tap!

(0.4.9)
(0.4.9)
(0.4.9)

lib/ruby-debug-ide.rb:109:in
lib/ruby-debug-ide.rb:109:in
bin/rdebug-ide:87

“debug_load'
“debug_program'

/usr/local/bin/rdebug-ide:19:in " load'
/usr/local/bin/rdebug-ide:19
https://github.com/edavis10/redmine/commit/2ebcc6d9601f86334119bd17a8eb65851d374f84

Related issues:
Has duplicate Redmine - Defect #12751: The Preview link on the bottom doesn't... Closed

Associated revisions

Revision 11133 - 2013-01-06 14:26 - Jean-Philippe Lang
Fixed that previews are broken by r10957 (#12642).

History

#1 - 2012-12-19 09:51 - Egidijus Zideckas

- File issue_preview _fix.diff added

Patch fixing problem

#2 - 2012-12-19 10:10 - Etienne Massip
- Status changed from New to Confirmed

- Target version set to 2.3.0

We are aware of this one, | guess it does not only affect issue preview but other previews too.

I'd like to remove the :get method too and to include non-regression tests using e.g. Capybara because we break JS too often and there is more and
more client code included in Redmine source.

#3 - 2012-12-19 11:43 - Toshi MARUYAMA
Etienne Massip wrote:
We are aware of this one, | guess it does not only affect issue preview but other previews too.
I'd like to remove the :get method too and to include non-regression tests using e.g. Capybara because we break JS too often and there is more

and more client code included in Redmine source.

Include capybara for integration tests
https://www.chiliproject.org/issues/747

#4 - 2012-12-20 19:35 - Etienne Massip
Toshi MARUYAMA wrote:

Include capybara for integration tests
https://www.chiliproject.org/issues/747

Thanks for pointing this out Toshi, although there haven't been that much tests produced afterwards alas :(

| tried and failed, if you have an idea | need help, see my bottle Need help making Capybara + selenium with Ajax working :)

#5 - 2013-01-12 15:45 - Etienne Massip
- Status changed from Confirmed to Closed
- Target version deleted (2.3.0)

- Resolution set to Fixed

Files

issue_preview_fix.diff 818 Bytes 2012-12-19 Egidijus Zideckas
https://www.chiliproject.org/issues/747
https://www.chiliproject.org/issues/747
https://www.redmine.org/boards/4/topics/35156
http://www.tcpdf.org

